> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pearl Credentials

> Retrieves the API credentials (Id and Name only) available to the specified Pearl. Use a returned Id as the CredentialId of an API action in the Pearl flow.



## OpenAPI

````yaml get /v2/Pearl/Credential/{pearlId}
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
tags:
  - name: Pearl
    description: >-
      Manage your Pearls, the AI agents that handle your inbound and outbound
      calls. Create and configure Pearls, retrieve their details and settings,
      run or pause them, list and bulk-export their calls, monitor calls in
      progress, get analytics, and reset a customer's conversation memory.
paths:
  /v2/Pearl/Credential/{pearlId}:
    get:
      tags:
        - Pearl
      summary: Get Pearl Credentials
      description: >-
        Retrieves the API credentials (Id and Name only) available to the
        specified Pearl. Use a returned Id as the CredentialId of an API action
        in the Pearl flow.
      parameters:
        - name: pearlId
          in: path
          description: The unique identifier of the Pearl.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The credentials available to the specified Pearl.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CredentialApiView'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CredentialApiView'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CredentialApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    CredentialApiView:
      type: object
      properties:
        id:
          type: string
          description: >-
            The credential ID. Use this value as the CredentialId of an API
            action.
          nullable: true
        name:
          type: string
          description: The display name of the credential.
          nullable: true
      additionalProperties: false
      description: "A credential available to the Pearl. Reference it through APISettingsApi.CredentialId to authenticate API actions.\r\nNo secret material is ever included."
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````